using System;
using Ical.Net.CalendarComponents;
using Ical.Net.DataTypes;

namespace Schedulable
{
    public class Schedulable
    {
        //no, not calendar event. Circular reference, trips up jsonconvert.
        public string Event { get; set; }
        public DateTime OccurrenceStart { get; set; }
        public DateTime OccurrenceEnd { get; set; }
        public DateTime Showtime { get; set; }
        public ScedulableType ScedulableType { get; set; } = ScedulableType.Other;
    }
    public enum ScedulableType { TwitchStream, YTRelease, Other };
}